Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.repository
Interface IOpenStreetMapDao

All Superinterfaces:
  IDao<OpenStreetMap,Long>

All Known Implementing Classes:
  OpenStreetMapDao

    public interface IOpenStreetMapDao

extends IDao<OpenStreetMap,Long>

Method Summary
`void` | `clearPartialSearchName()` clear the value of the textsearchname column, the textsearchname column is used to calculate textsearchvector and is unused after the calculation
`long` | `countEstimate()`
`void` | `createFulltextIndexes()` Create the fulltext index for openstreetMap to improve performances
`void` | `createSpatialIndexes()` Create the database GIST for openstreetMap to improve performances
`OpenStreetMap` | `getByGid(Long gid)`
`long` | `getMaxGid()`
`long` | `getMaxOpenstreetMapId()`
`List<com.gisgraphy.domain.valueobject.StreetDistance>` | `getNearestAndDistanceFrom(com.vividsolutions.jts.geom.Point point, double distance, int firstResult, int maxResults, com.gisgraphy.street.StreetType streetType, Boolean oneWay, String name, com.gisgraphy.street.StreetSearchMode streetSearchMode, boolean includeDistanceField)` base method for all findNearest
`Integer` | `updateTS_vectorColumnForStreetNameSearch()` Update the ts_vector column for the street name search (partial search and fulltext search)
`Integer` | `updateTS_vectorColumnForStreetNameSearchPaginate(long from, long to)` Update the ts_vector column for the street name search from the gid that are >= from and < to

Methods inherited from interface com.gisgraphy.domain.repository.IDao
`count, deleteAll, deleteAll, exists, flushAndClear, get, getAll, getAllPaginate, getPersistenceClass, remove, save, setFlushMode`

Method Detail

### getNearestAndDistanceFrom

    List<com.gisgraphy.domain.valueobject.StreetDistance> getNearestAndDistanceFrom(com.vividsolutions.jts.geom.Point point,
                                                                                    double distance,
                                                                                    int firstResult,
                                                                                    int maxResults,
                                                                                    com.gisgraphy.street.StreetType streetType,
                                                                                    Boolean oneWay,
                                                                                    String name,
                                                                                    com.gisgraphy.street.StreetSearchMode streetSearchMode,
                                                                                    boolean includeDistanceField)

  base method for all findNearest

  Parameters:
    `point` - The point from which we want to find GIS Object
    `distance` - The radius in meters
    `firstResult` - the firstResult index (for pagination), numbered from 1, if < 1 : it will not be taken into account
    `maxResults` - The Maximum number of results to retrieve (for pagination), if <= 0 : it will not be taken into acount
    `streetType` - The type of street
    `oneWay` - whether the street should be oneway or not
    `name` - the name the street name must contains
    `streetSearchMode` - if we search in fulltext or contain mode
    `includeDistanceField` - if we have to calculate the distance or not
  Returns:
    A List of StreetDistance with the nearest elements or an empty list (never return null), ordered by distance.
  See Also:
    `StreetDistance`

### getByGid

    OpenStreetMap getByGid(Long gid)

  Parameters:
    `gid` - the gid of the openstreetmap entity we want to retrieve
  Returns:
    the OpenstreetMap entity or null if not found

### updateTS_vectorColumnForStreetNameSearch

    Integer updateTS_vectorColumnForStreetNameSearch()

  Update the ts_vector column for the street name search (partial search and fulltext search)

  Returns:
    the number of line updated
  See Also:
    `StreetSearchMode`

### updateTS_vectorColumnForStreetNameSearchPaginate

    Integer updateTS_vectorColumnForStreetNameSearchPaginate(long from,
                                                             long to)

  Update the ts_vector column for the street name search from the gid that are >= from and < to

  Parameters:
    `from` - the start pagination index of gid
    `to` - the end pagination index (partial search and fulltext search)
  Returns:
    the number of line updated
  See Also:
    `StreetSearchMode`

### createSpatialIndexes

    void createSpatialIndexes()

  Create the database GIST for openstreetMap to improve performances

### createFulltextIndexes

    void createFulltextIndexes()

  Create the fulltext index for openstreetMap to improve performances

### clearPartialSearchName

    void clearPartialSearchName()

  clear the value of the textsearchname column, the textsearchname column is used to calculate textsearchvector and is unused after the calculation

### countEstimate

    long countEstimate()

  Returns:
    the number of streets based on the highest gid

### getMaxOpenstreetMapId

    long getMaxOpenstreetMapId()

  Returns:
    the highest openstreetMapId

### getMaxGid

    long getMaxGid()

  Returns:
    the highest Gid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.